"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getConfig = getConfig;
exports.getConfigError = getConfigError;
exports.getCurrentRoute = getCurrentRoute;
exports.createContext = createContext;
exports.generateMenu = generateMenu;
exports.updageSetting = updageSetting;
exports.updateRecentKeywords = updateRecentKeywords;
exports.updateRecentVisited = updateRecentVisited;
exports.updateCurrentIndex = updateCurrentIndex;
exports.updateRecentProduct = updateRecentProduct;
exports.clearRecentProduct = clearRecentProduct;
exports.updateCollapsed = updateCollapsed;
exports.changeLoginMode = changeLoginMode;
exports.updateAuthValidate = updateAuthValidate;
exports.updatePathname = updatePathname;
exports.updateSelectedKeys = updateSelectedKeys;
exports.updateOpenKeys = updateOpenKeys;
exports.updateComplexConfig = updateComplexConfig;
exports.updateComplexPathName = updateComplexPathName;

var _constants = require("./constants");

function getConfig(data) {
  return {
    type: _constants.GET_CONFIG,
    data: data
  };
}

function getConfigError(error) {
  return {
    type: _constants.GET_ERROR_CONFIG,
    error: error
  };
}

function getCurrentRoute(data) {
  return {
    type: _constants.GET_CURRENT_ROUTES,
    data: data
  };
}

function createContext(data) {
  return {
    type: _constants.CREATE_CONEXT,
    data: data
  };
}

function generateMenu(data) {
  return {
    type: _constants.GENERATE_MENU,
    data: data
  };
}

function updageSetting(data) {
  return {
    type: _constants.GET_THEME_CONFIG,
    data: data
  };
}

function updateRecentKeywords(data) {
  return {
    type: _constants.GET_RCENT_KEYWORD,
    data: data
  };
}

function updateRecentVisited(data) {
  return {
    type: _constants.GET_RECENT_VISITED,
    data: data
  };
}

function updateCurrentIndex(data) {
  return {
    type: _constants.GET_CURRENT_INDEX,
    data: data
  };
}

function updateRecentProduct(data) {
  return {
    type: _constants.GET_RECENT_PRODUCT,
    data: data
  };
}

function clearRecentProduct() {
  return {
    type: _constants.CLEAR_RCENT_KEYWORD
  };
}

function updateCollapsed(data) {
  return {
    type: _constants.SLIDER_MENU_MODE,
    data: data
  };
}

function changeLoginMode(data) {
  return {
    type: _constants.LOGIN_MODE,
    data: data
  };
}

function updateAuthValidate(data) {
  return {
    type: _constants.VALIDATE_AUTH,
    data: data
  };
}

function updatePathname(data) {
  return {
    type: _constants.GET_PATHNAME,
    data: data
  };
}

function updateSelectedKeys(data) {
  return {
    type: _constants.SELECT_MENU_KEY,
    data: data
  };
}

function updateOpenKeys(data) {
  return {
    type: _constants.EXTEND_OPEN_KEY,
    data: data
  };
}

function updateComplexConfig(data) {
  return {
    type: _constants.COMPLEX_CONFIG,
    data: data
  };
}

function updateComplexPathName(data) {
  return {
    type: _constants.COMPLEX_PATHNAME,
    data: data
  };
}